##### Predefinitions #####
%define name		kopete-cryptography
%define version		1.3.0
%define release		%mkrel 1
%define kde_version	4.1.3
%define libname		%mklibname %{name}
%define libnamedev	%mklibname %{name} -d

##### Header #####
Summary:	A crypto plugin for kopete
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.kde.org/pub/kde/stable/4.1.3/src/extragear/%{name}-%{version}-kde%{kde_version}.tar.bz2
License:	GPL
Group:		Graphical desktop/KDE
URL:		http://extragear.kde.org/apps/kopete%20cryptography/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	libgpgme-devel kdepim4-devel kdenetwork4-devel
Requires:	kopete


##### Description #####
%description
It encrypts and signs messages using the OpenPGP standard. It also handles
incoming messages that are encrypted or signed.


##### Prep, Build & Install #####
%prep
%setup -q -n %{name}-%{version}-kde%{kde_version}

%build
%cmake_kde4

%make

%install
rm -rf %{buildroot}
cd build
%makeinstall_std

##### Post & Postun #####
%if %mdkversion < 200900
%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig
%endif

##### Clean #####
%clean
rm -rf %{buildroot}

##### Files #####
%files
%defattr(-,root,root,0755)
%{_libdir}/kde4/kcm_kopete_cryptography.so               
%{_libdir}/kde4/kopete_cryptography.so                   
%{_datadir}/apps/kopete_cryptography/cryptographychatui.rc
%{_datadir}/apps/kopete_cryptography/cryptographyui.rc
%doc %{_datadir}/doc/HTML/*/kopete
%doc %{_datadir}/doc/HTML/*/kopete-cryptography
%{_datadir}/kde4/services/kconfiguredialog/kopete_cryptography_config.desktop
%{_datadir}/kde4/services/kopete_cryptography.desktop                        
%{_datadir}/locale/*/LC_MESSAGES/kopete-cryptography.mo

##### Changelog #####
%changelog
* Fri Nov 21 2008 Oliver Burger <rpm@mandrivauser.de> 1.3.0-1mud2009.0
- initial package for Mandriva Linux